Subject: bug#16668: 24.3; Feature Request: Face to indicate lines displayed in window that are not part of the buffer.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2014 17:40:20 +0200

> From: Tim Visher <[email-masked]>
> Date: Thu, 6 Feb 2014 09:33:15 -0500
> 
> I'd like some visual indication of where the contents of the buffer
> ends. I've always thought it would be nice to have a different color
> for the space beneath the buffer in the window.
> 
> So if I have a buffer with
> 
> ```
> this is the last line of text in the file
> 
> 
> ``` note the 2 blank lines at the bottom of the file
> 
> displayed in a window that looks like
> 
> ```
> snth
> satoe
> this is the last line of text in the file
> 
> 
> 
> 
> ``` Note the 2 extra blank lines
> 
> I'd like:
> 
> ```
> Normal Faces
> Normal Faces
> Normal Faces
> Normal Faces
> Normal Faces
> Face indicating not part of buffer
> Face indicating not part of buffer
> ```
> 
> Or something similar.

A great introductory exercise for anyone who would like to gain
experience in hacking the Emacs display engine.  Volunteers are most
welcome.